Date: Wed, 28 Jan 1998 10:13:53 +0100 (MET)
From: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
To: linux-m68k@lists.linux-m68k.org
Subject: L68K: Fwd: Falcon IDE patch for 2.1.79
Sender: owner-linux-m68k@phil.uni-sb.de


The patch below is by Martin Mitchell:

> Hi Roman!
> 
> Here is a quick patch for 2.1.79 on the Falcon, needed to boot with ide.
> 
> 	  Martin.
> 

--- include/asm-m68k/ide.h.bak	Wed Jan 28 01:28:50 1998
+++ include/asm-m68k/ide.h	Wed Jan 28 01:31:33 1998
@@ -406,7 +406,11 @@
 #endif /* CONFIG_ATARI */
 }
 
+#ifdef CONFIG_AMIGA
 #define ide_ack_intr(hwif) (hwif)->ack_intr((hwif))
+#else
+#define ide_ack_intr(hwif) (1)
+#endif
 
 /*
  * On the Atari, we sometimes can't enable interrupts:
